﻿<?php
session_start();
require_once('../connexionBD.php');
require_once ('../ressources/user.php');

function getTrajetsProposes($db, $mail){
    $result = pg_query_params($db, "SELECT COUNT(*) from Trajet WHERE mailProposition = $1 AND estAnnule = false AND datedepart >= current_date;", array($mail));
    if ($result) {
        $row = pg_fetch_array($result);
        return $row[0];
    }
    return 0;
}

function getTrajetsReserves($db, $mail){
    $result = pg_query_params($db, "SELECT COUNT(*) FROM trajet tr, reserver r WHERE r.codetrajet = tr.codetrajet AND mailutilisateur = $1 AND etatres != 'Annulée' AND estAnnule = false AND datedepart >= current_date;", array($mail));
    if ($result) {
        $row = pg_fetch_array($result);
        return $row[0];
    }
    return 0;
}

function getMessagesNonLus($db, $mail){
    $result = pg_query_params($db, "SELECT COUNT(*) from Message WHERE mailRecepteur = $1 AND estLu = FALSE;", array($mail));
    if ($result) {
        $row = pg_fetch_array($result);
        $login = $row[0];
        return $login;
    }
}

function getAvisNonLus($db, $mail){
    global $db;
    $result = pg_query_params($db, "SELECT COUNT(tr.mailProposition) FROM Trajet tr, Avis av WHERE tr.codeTrajet = av.codeTrajet AND av.estLu = false AND tr.mailProposition = $1;", array($mail));
    if ($result) {
        $row = pg_fetch_array($result);
        $login = $row[0];
        return $login;
    }
}

//Si on est pas connecté redirection vers la page de connexion
if (!isset($_SESSION['mail'])) {
    header('Location: ../index.php');
    exit();
}
$mail = $_SESSION['mail'];
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="tableauBord.css">
    <link rel="stylesheet" href="../ressources/navbarhtml.css">
    <link rel="icon" type="image/png" href=""/>
    <title>Tableau de bord</title>
</head>
<body>
<?php require('../ressources/navbarhtml.php'); ?>
<div id="content">
    <div id="tableauBord">
        <h1>Bienvenue <?php echo getLogin($db, $mail); ?></h1>
        <div id="divImgProfil">
            <img id="imgProfil" src="<?php echo getPathImgProfilTableau($mail); ?>">
        </div>
        <div id="trajet">
            <a class="btnTrajet" href="../ah.php">Déposer un trajet</a>
            <a id="btnTrajet2" class="btnTrajet" href="../ah.php">Rechercher un trajet</a>
        </div>
        <div id="recap">
            <div class="recapLine">
                <img class="recapIcon" src="../car.png">
                <p>Vous avez <?php echo getTrajetsProposes($db, $mail); ?> trajets proposés à effectuer.</p>
            </div>
            <div class="recapLine">
                <img class="recapIcon" src="../car.png">
                <p>Vous avez <?php echo getTrajetsReserves($db, $mail); ?> trajets réservés à effectuer.</p>
            </div>
            <div class="recapLine">
                <img class="recapIcon" src="../mail.svg">
                <p>Vous avez <?php echo getMessagesNonLus($db, $mail); ?> messages non lus.</p>
            </div>
            <div class="recapLine">
                <img class="recapIcon" src="../star.png">
                <p>Vous avez <?php echo getAvisNonLus($db, $mail); ?> avis non lus.</p>
            </div>
        </div>
    </div>
</div>
</body>
</html>
